%define upstream_name    Linux-Epoll
%define upstream_version 0.018

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    O(1) multiplexing for Linux
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Linux/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
Epoll is a multiplexing mechanism that scales up O(1) with number of
watched files. Linux::Epoll is a callback style epoll module, unlike other
epoll modules available on CPAN.

Types of events
    * * in

      The associated filehandle is available for reading.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Thu Aug 04 2022 tv <tv> 0.18.0-3.mga9
+ Revision: 1875097
- Rebuild for perl-5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.18.0-2.mga9
+ Revision: 1795393
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 0.18.0-1.mga9
+ Revision: 1691353
- update to 0.018

* Sat Jul 18 2020 tv <tv> 0.17.0-3.mga8
+ Revision: 1606986
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Sun Feb 16 2020 umeabot <umeabot> 0.17.0-2.mga8
+ Revision: 1534794
- Mageia 8 Mass Rebuild

* Sun Oct 06 2019 tv <tv> 0.17.0-1.mga8
+ Revision: 1449906
- update to 0.017

* Wed Oct 17 2018 shlomif <shlomif> 0.16.0-1.mga7
+ Revision: 1321463
- update to 0.016

* Fri Sep 21 2018 umeabot <umeabot> 0.15.0-2.mga7
+ Revision: 1293322
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 0.15.0-1.mga7
+ Revision: 1253967
- update to 0.015

* Wed Aug 08 2018 pterjan <pterjan> 0.13.0-2.mga7
+ Revision: 1249511
- Rebuild for perl 5.28

* Mon Apr 09 2018 tv <tv> 0.13.0-1.mga7
+ Revision: 1216822
- fix filelist
+ kekepower <kekepower>
- Update to version 0.013

* Tue Oct 03 2017 tv <tv> 0.12.0-4.mga7
+ Revision: 1165217
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.12.0-3.mga7
+ Revision: 1159095
- rebuild with perl-5.26.x
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Nov 21 2015 shlomif <shlomif> 0.12.0-1.mga6
+ Revision: 904726
- imported package perl-Linux-Epoll

